// Garden Gnome Software - Skin
// Pano2VR pro 4.1.0/3404
// Filename: thumbnail.ggsk
// Generated Mon Dec 9 17:57:19 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._thumbnail_one=document.createElement('div');
		this._thumbnail_one.ggId='thumbnail_one';
		this._thumbnail_one.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_one.ggVisible=true;
		this._thumbnail_one.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 20px;';
		hs+='top:  20px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._thumbnail_one.setAttribute('style',hs);
		this._thumbnail_one.ggMarkerNodeId='one';
		nodeMarker.push(this._thumbnail_one);
		this._thumbnail_one.onclick=function () {
			me.player.openNext("one_out.xml","");
		}
		this._thumbnail3=document.createElement('div');
		this._thumbnail3.ggId='thumbnail';
		this._thumbnail3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail3.ggVisible=true;
		this._thumbnail3.className='ggskin ggskin_external';
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: 80px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumbnail3.setAttribute('style',hs);
		this._thumbnail3__img=document.createElement('img');
		this._thumbnail3__img.setAttribute('src',basePath + 'thumbnails/pano_01.jpg');
		this._thumbnail3__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._thumbnail3__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._thumbnail3__img);
		this._thumbnail3.appendChild(this._thumbnail3__img);
		this._thumbnail_one.appendChild(this._thumbnail3);
		this.divSkin.appendChild(this._thumbnail_one);
		this._thumbnail_two=document.createElement('div');
		this._thumbnail_two.ggId='thumbnail_two';
		this._thumbnail_two.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_two.ggVisible=true;
		this._thumbnail_two.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 20px;';
		hs+='top:  87px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._thumbnail_two.setAttribute('style',hs);
		this._thumbnail_two.ggMarkerNodeId='two';
		nodeMarker.push(this._thumbnail_two);
		this._thumbnail_two.onclick=function () {
			me.player.openNext("two_out.xml","");
		}
		this._thumbnail2=document.createElement('div');
		this._thumbnail2.ggId='thumbnail';
		this._thumbnail2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail2.ggVisible=true;
		this._thumbnail2.className='ggskin ggskin_external';
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: 80px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumbnail2.setAttribute('style',hs);
		this._thumbnail2__img=document.createElement('img');
		this._thumbnail2__img.setAttribute('src',basePath + 'thumbnails/pano_02.jpg');
		this._thumbnail2__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._thumbnail2__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._thumbnail2__img);
		this._thumbnail2.appendChild(this._thumbnail2__img);
		this._thumbnail_two.appendChild(this._thumbnail2);
		this.divSkin.appendChild(this._thumbnail_two);
		this._thumbnail_three=document.createElement('div');
		this._thumbnail_three.ggId='thumbnail_three';
		this._thumbnail_three.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_three.ggVisible=true;
		this._thumbnail_three.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 20px;';
		hs+='top:  154px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._thumbnail_three.setAttribute('style',hs);
		this._thumbnail_three.ggMarkerNodeId='three';
		nodeMarker.push(this._thumbnail_three);
		this._thumbnail_three.onclick=function () {
			me.player.openNext("three_out.xml","");
		}
		this._thumbnail1=document.createElement('div');
		this._thumbnail1.ggId='thumbnail';
		this._thumbnail1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail1.ggVisible=true;
		this._thumbnail1.className='ggskin ggskin_external';
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: 80px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumbnail1.setAttribute('style',hs);
		this._thumbnail1__img=document.createElement('img');
		this._thumbnail1__img.setAttribute('src',basePath + 'thumbnails/pano_02.jpg');
		this._thumbnail1__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._thumbnail1__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._thumbnail1__img);
		this._thumbnail1.appendChild(this._thumbnail1__img);
		this._thumbnail_three.appendChild(this._thumbnail1);
		this.divSkin.appendChild(this._thumbnail_three);
		this._thumbnail_four=document.createElement('div');
		this._thumbnail_four.ggId='thumbnail_four';
		this._thumbnail_four.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_four.ggVisible=true;
		this._thumbnail_four.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 20px;';
		hs+='top:  221px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._thumbnail_four.setAttribute('style',hs);
		this._thumbnail_four.ggMarkerNodeId='four';
		nodeMarker.push(this._thumbnail_four);
		this._thumbnail_four.onclick=function () {
			me.player.openNext("four_out.xml","");
		}
		this._thumbnail0=document.createElement('div');
		this._thumbnail0.ggId='thumbnail';
		this._thumbnail0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail0.ggVisible=true;
		this._thumbnail0.className='ggskin ggskin_external';
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: 80px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumbnail0.setAttribute('style',hs);
		this._thumbnail0__img=document.createElement('img');
		this._thumbnail0__img.setAttribute('src',basePath + 'thumbnails/pano_02.jpg');
		this._thumbnail0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._thumbnail0__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._thumbnail0__img);
		this._thumbnail0.appendChild(this._thumbnail0__img);
		this._thumbnail_four.appendChild(this._thumbnail0);
		this.divSkin.appendChild(this._thumbnail_four);
		this._thumbnail_five=document.createElement('div');
		this._thumbnail_five.ggId='thumbnail_five';
		this._thumbnail_five.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_five.ggVisible=true;
		this._thumbnail_five.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 20px;';
		hs+='top:  289px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._thumbnail_five.setAttribute('style',hs);
		this._thumbnail_five.ggMarkerNodeId='five';
		nodeMarker.push(this._thumbnail_five);
		this._thumbnail_five.onclick=function () {
			me.player.openNext("five_out.xml","");
		}
		this._thumbnail=document.createElement('div');
		this._thumbnail.ggId='thumbnail';
		this._thumbnail.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail.ggVisible=true;
		this._thumbnail.className='ggskin ggskin_external';
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: 80px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumbnail.setAttribute('style',hs);
		this._thumbnail__img=document.createElement('img');
		this._thumbnail__img.setAttribute('src',basePath + 'thumbnails/pano_02.jpg');
		this._thumbnail__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._thumbnail__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._thumbnail__img);
		this._thumbnail.appendChild(this._thumbnail__img);
		this._thumbnail_five.appendChild(this._thumbnail);
		this.divSkin.appendChild(this._thumbnail_five);
		this._thumbnails_background=document.createElement('div');
		this._thumbnails_background.ggId='thumbnails_background';
		this._thumbnails_background.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnails_background.ggVisible=true;
		this._thumbnails_background.className='ggskin ggskin_rectangle';
		this._thumbnails_background.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				h=this.parentNode.offsetHeight;
				this.style.top=(-46 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: 9px;';
		hs+='top:  -46px;';
		hs+='width: 34px;';
		hs+='height: 34px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #000000;';
		hs+='background: rgba(0,0,0,0.392157);';
		hs+='border: 2px solid #ffffff;';
		hs+='border-radius: 5px;';
		hs+=cssPrefix + 'border-radius: 5px;';
		this._thumbnails_background.setAttribute('style',hs);
		this._thumbnails_background.onclick=function () {
			var list=me.findElements('thumbnail_.*',true);
			if (list.length>0) {
				var e=list[0];
				flag=e.ggOpacitiyActive;
			}
			while(list.length>0) {
				var e=list.pop();
				if (me.player.transitionsDisabled) {
					e.style[domTransition]='none';
				} else {
					e.style[domTransition]='all 500ms ease-out 0ms';
				}
				if (flag) {
					e.style.opacity='0';
					e.style.visibility='hidden';
				} else {
					e.style.opacity='1';
					e.style.visibility=e.ggVisible?'inherit':'hidden';
				}
				e.ggOpacitiyActive=!flag;
			}
		}
		this._thumbnails=document.createElement('div');
		this._thumbnails.ggId='thumbnails';
		this._thumbnails.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnails.ggVisible=true;
		this._thumbnails.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  1px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumbnails.setAttribute('style',hs);
		this._thumbnails__img=document.createElement('img');
		this._thumbnails__img.setAttribute('src',basePath + 'images/thumbnails.svg');
		this._thumbnails__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;-webkit-user-drag:none;');
		this._thumbnails__img['ondragstart']=function() { return false; };
		this._thumbnails.appendChild(this._thumbnails__img);
		this._thumbnails.onmouseover=function () {
			me._thumbnails__img.src=basePath + 'images/thumbnails__o.svg';
		}
		this._thumbnails.onmouseout=function () {
			me._thumbnails__img.src=basePath + 'images/thumbnails.svg';
		}
		this._thumbnails_background.appendChild(this._thumbnails);
		this.divSkin.appendChild(this._thumbnails_background);
		this._hide_elements=document.createElement('div');
		this._hide_elements.ggId='hide_elements';
		this._hide_elements.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hide_elements.ggVisible=false;
		this._hide_elements.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 86px;';
		hs+='height: 66px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._hide_elements.setAttribute('style',hs);
		this._normal=document.createElement('div');
		this._normal.ggId='normal';
		this._normal.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._normal.ggVisible=true;
		this._normal.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 86px;';
		hs+='height: 66px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #a0a0a0;';
		hs+='border: 0px solid #a0a0a0;';
		this._normal.setAttribute('style',hs);
		this._hide_elements.appendChild(this._normal);
		this._active=document.createElement('div');
		this._active.ggId='active';
		this._active.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._active.ggVisible=true;
		this._active.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 86px;';
		hs+='height: 66px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #000000;';
		hs+='border: 0px solid #000000;';
		this._active.setAttribute('style',hs);
		this._hide_elements.appendChild(this._active);
		this.divSkin.appendChild(this._hide_elements);
		this._thumbnail_one__normal=this._normal.cloneNode(true);
		this._thumbnail_one__normal.style.visibility='inherit';
		this._thumbnail_one__normal.style.left=0;
		this._thumbnail_one__normal.style.top=0;
		this._thumbnail_one.ggMarkerNormal=this._thumbnail_one__normal;
		this._thumbnail_one__active=this._active.cloneNode(true);
		this._thumbnail_one__active.style.visibility='hidden';
		this._thumbnail_one__active.style.left=0;
		this._thumbnail_one__active.style.top=0;
		this._thumbnail_one.ggMarkerActive=this._thumbnail_one__active;
		if (this._thumbnail_one.firstChild) {
			this._thumbnail_one.insertBefore(this._thumbnail_one__active,this._thumbnail_one.firstChild);
		} else {
			this._thumbnail_one.appendChild(this._thumbnail_one__active);
		}
		if (this._thumbnail_one.firstChild) {
			this._thumbnail_one.insertBefore(this._thumbnail_one__normal,this._thumbnail_one.firstChild);
		} else {
			this._thumbnail_one.appendChild(this._thumbnail_one__normal);
		}
		this._thumbnail_two__normal=this._normal.cloneNode(true);
		this._thumbnail_two__normal.style.visibility='inherit';
		this._thumbnail_two__normal.style.left=0;
		this._thumbnail_two__normal.style.top=0;
		this._thumbnail_two.ggMarkerNormal=this._thumbnail_two__normal;
		this._thumbnail_two__active=this._active.cloneNode(true);
		this._thumbnail_two__active.style.visibility='hidden';
		this._thumbnail_two__active.style.left=0;
		this._thumbnail_two__active.style.top=0;
		this._thumbnail_two.ggMarkerActive=this._thumbnail_two__active;
		if (this._thumbnail_two.firstChild) {
			this._thumbnail_two.insertBefore(this._thumbnail_two__active,this._thumbnail_two.firstChild);
		} else {
			this._thumbnail_two.appendChild(this._thumbnail_two__active);
		}
		if (this._thumbnail_two.firstChild) {
			this._thumbnail_two.insertBefore(this._thumbnail_two__normal,this._thumbnail_two.firstChild);
		} else {
			this._thumbnail_two.appendChild(this._thumbnail_two__normal);
		}
		this._thumbnail_three__normal=this._normal.cloneNode(true);
		this._thumbnail_three__normal.style.visibility='inherit';
		this._thumbnail_three__normal.style.left=0;
		this._thumbnail_three__normal.style.top=0;
		this._thumbnail_three.ggMarkerNormal=this._thumbnail_three__normal;
		this._thumbnail_three__active=this._active.cloneNode(true);
		this._thumbnail_three__active.style.visibility='hidden';
		this._thumbnail_three__active.style.left=0;
		this._thumbnail_three__active.style.top=0;
		this._thumbnail_three.ggMarkerActive=this._thumbnail_three__active;
		if (this._thumbnail_three.firstChild) {
			this._thumbnail_three.insertBefore(this._thumbnail_three__active,this._thumbnail_three.firstChild);
		} else {
			this._thumbnail_three.appendChild(this._thumbnail_three__active);
		}
		if (this._thumbnail_three.firstChild) {
			this._thumbnail_three.insertBefore(this._thumbnail_three__normal,this._thumbnail_three.firstChild);
		} else {
			this._thumbnail_three.appendChild(this._thumbnail_three__normal);
		}
		this._thumbnail_four__normal=this._normal.cloneNode(true);
		this._thumbnail_four__normal.style.visibility='inherit';
		this._thumbnail_four__normal.style.left=0;
		this._thumbnail_four__normal.style.top=0;
		this._thumbnail_four.ggMarkerNormal=this._thumbnail_four__normal;
		this._thumbnail_four__active=this._active.cloneNode(true);
		this._thumbnail_four__active.style.visibility='hidden';
		this._thumbnail_four__active.style.left=0;
		this._thumbnail_four__active.style.top=0;
		this._thumbnail_four.ggMarkerActive=this._thumbnail_four__active;
		if (this._thumbnail_four.firstChild) {
			this._thumbnail_four.insertBefore(this._thumbnail_four__active,this._thumbnail_four.firstChild);
		} else {
			this._thumbnail_four.appendChild(this._thumbnail_four__active);
		}
		if (this._thumbnail_four.firstChild) {
			this._thumbnail_four.insertBefore(this._thumbnail_four__normal,this._thumbnail_four.firstChild);
		} else {
			this._thumbnail_four.appendChild(this._thumbnail_four__normal);
		}
		this._thumbnail_five__normal=this._normal.cloneNode(true);
		this._thumbnail_five__normal.style.visibility='inherit';
		this._thumbnail_five__normal.style.left=0;
		this._thumbnail_five__normal.style.top=0;
		this._thumbnail_five.ggMarkerNormal=this._thumbnail_five__normal;
		this._thumbnail_five__active=this._active.cloneNode(true);
		this._thumbnail_five__active.style.visibility='hidden';
		this._thumbnail_five__active.style.left=0;
		this._thumbnail_five__active.style.top=0;
		this._thumbnail_five.ggMarkerActive=this._thumbnail_five__active;
		if (this._thumbnail_five.firstChild) {
			this._thumbnail_five.insertBefore(this._thumbnail_five__active,this._thumbnail_five.firstChild);
		} else {
			this._thumbnail_five.appendChild(this._thumbnail_five__active);
		}
		if (this._thumbnail_five.firstChild) {
			this._thumbnail_five.insertBefore(this._thumbnail_five__normal,this._thumbnail_five.firstChild);
		} else {
			this._thumbnail_five.appendChild(this._thumbnail_five__normal);
		}
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	this.addSkin();
};